Bug 22 - Cannot use links to share kernel objects
Summary: Cannot use links to share kernel objects
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bruce Evans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1994-11-18 14:50 UTC by Richard Wackerbarth
Modified: 2020-11-19 10:22 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Wackerbarth 1994-11-18 14:50:02 UTC
Makefile cannot "make links" to allow sharing between similar kernels.
You are supposed to be able to make GENERIC and then make links to those
objects which do not depend on the options.

Makefile chokes on "swapkernel" entry in CFILES.

It needs a prefix path.

Fix: 

Generate a file reference of ./swapkernel in the Makefile.
In config/mkmakefile.c

524c524
<                               fprintf(fp, "%s ", swapname);
---
>                               fprintf(fp, "./%s ", swapname);
How-To-Repeat: cd /sys/compile/GENERIC
make
cd /sys/compile/xx
make clean
make links
Comment 1 pst freebsd_committer 1996-02-07 07:22:01 UTC
Responsible Changed
From-To: core->bde

Please fix or pass on to appropriate individual. 
Make links is still supported in the makefile so I'm going to treat 
this like a software bug instead of a documentation bug.  It would be nice 
if this worked. 
Comment 2 gpalmer freebsd_committer 1996-04-30 20:44:01 UTC
State Changed
From-To: open->closed

Just worked fine for me using -current
Comment 4 Patrick Morison 2019-10-01 19:17:48 UTC
Wikipedia page creation service is an online Wikipedia page creation agency proficient in providing Wikipedia page creation service to our clients. We have a team of professionals who strive to create a well-composed and highly researched Wiki page. We can help out clients to boost their online visibility and recognition. We make sure that your Wikipedia page can get the word out to the international market. 
source: https://wikipagecreation.services/
Comment 5 bella alucy 2020-05-15 16:23:38 UTC
Definitely not olive oil because of its savory taste however I have heard of using water or vegetable oil however it at https://vaporhub.co.uk/ have quite the same taste
Comment 6 cayen14422 2020-11-11 15:39:29 UTC
Wikipedia page creation service is an online Wikipedia page creation agency proficient in providing Wikipedia page creation service to our clients. We have a team of professionals who strive to create a well-composed and highly researched Wiki page. We can help out clients to boost their online visibility and recognition. We make sure that your Wikipedia page can get the word out to the international market.
https://sites.google.com/view/wikipediapagecreationagency/
https://sites.google.com/view/wikipediapagecreationagency/home
Comment 7 Ahtisham 2020-11-19 10:22:31 UTC
Abortion medicine in oman
http://abortionmedicineoman.com/